---
title: EMS Hospital Project - Alpha Fork Technologies
heading: EMS Hospital Project
subtitle:
permalink: /emslinux/
icons: true
image: ems-bg.jpg
description: Technology Migration of EMS Hospital Perinthalmanna to Free Software.<br/> Complete migration of Hospital management system into GNU/Linux.
---

<p class="full">We took the technology consultancy for migration of Hospital management system in <a href="https://www.emshospital.org.in">EMS Hospital Perinthanmanna</a>. They had around two hundred systems which spread across various departments of the hospital. They are installed with various versions of Microsoft Windows and other proprietary software.
</p>
<p class="full">The Hospital Management System is running on Java Server Pages. The first challenge was to run different versions of java jdk toolkit and multiple versions of Firefox on a single system. The second challenge was to make their printers, scanners and other devices to work with GNU/Linux. The main printers were cannon LBP2900. Printer driver had only temporary support for Linux, that it kept on failing every once while. We created a software that detects the printer and restart the driver when it fails. The software has a gui with current status of the printer.
</p>
<p class="full">To make their further procedure easy, we decided to build an operating system based on GNU/Linux with all necessary software. We chose Linux Mint as the base operating system and we created a new operating system called EDP Linux. We added all the necessary components and drives so that the GNU/Linux must work on all computers without any problems. This may be the first operating system for a Hospital in Kerala.
</p>
